// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fLabel */
export async function update1(body: API.FLabelUpdateVO, options?: { [key: string]: any }) {
  return request<API.RFLabel>(`/finyx/fLabel`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fLabel */
export async function save1(body: API.FLabelSaveVO, options?: { [key: string]: any }) {
  return request<API.RFLabel>(`/finyx/fLabel`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fLabel */
export async function delete1(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fLabel`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fLabel/${param0} */
export async function get1(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get1Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFLabelResultVO>(`/finyx/fLabel/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fLabel/copy */
export async function copy1(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy1Params,
  options?: { [key: string]: any }
) {
  return request<API.RFLabel>(`/finyx/fLabel/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fLabel/detail */
export async function getDetail1(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail1Params,
  options?: { [key: string]: any }
) {
  return request<API.RFLabelResultVO>(`/finyx/fLabel/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fLabel/findByIds */
export async function findByIds1(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFLabelResultVO>(`/finyx/fLabel/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fLabel/page */
export async function page1(body: API.PageParamsFLabelPageQuery, options?: { [key: string]: any }) {
  return request<API.RIPageFLabelResultVO>(`/finyx/fLabel/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fLabel/query */
export async function query1(body: API.FLabelPageQuery, options?: { [key: string]: any }) {
  return request<API.RListFLabelResultVO>(`/finyx/fLabel/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
